using System;
using System.Collections.Generic;

namespace WorldServerLibrary.Model
{
	public class Objetivo
	{   public Int32 numObj { get; set; }
		public Int32 recompensa { get; set; }
		public List<Leaflet> leaflets { get; set; }

		public Objetivo ()
		{
			leaflets=new List<Leaflet> () ;
		}
		public Boolean objetivoCumprido ()
		{
			foreach (Leaflet item in leaflets) {
				if(item.numDesejado-item.numDesejado!=0){
					return false;
				}
			}
			return true;
		}
	}
}

